# xPSR_Type Union Reference

CMSIS-Core (Cortex-M): xPSR_Type Union Reference

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
xPSR_Type Union Reference

Union type to access the Special-Purpose Program Status Registers (xPSR). More...

## Data Fields

struct {
uint32_t ISR:9
| bit: 0.. 8 Exception number More...
uint32_t _reserved0:15
| bit: 9..23 Reserved More...
uint32_t T:1
| bit: 24 Thumb bit (read 0) More...
uint32_t IT:2
| bit: 25..26 saved IT state (read 0) More...
uint32_t Q:1
| bit: 27 Saturation condition flag More...
uint32_t V:1
| bit: 28 Overflow condition code flag More...
uint32_t C:1
| bit: 29 Carry condition code flag More...
uint32_t Z:1
| bit: 30 Zero condition code flag More...
uint32_t N:1
| bit: 31 Negative condition code flag More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Description

Union type to access the Special-Purpose Program Status Registers (xPSR).

## Field Documentation

uint32_t xPSR_Type::_reserved0

bit: 9..23 Reserved

struct { ... } xPSR_Type::b

Structure used for bit access.

uint32_t xPSR_Type::C

bit: 29 Carry condition code flag

uint32_t xPSR_Type::ISR

bit: 0.. 8 Exception number

uint32_t xPSR_Type::IT

bit: 25..26 saved IT state (read 0)

uint32_t xPSR_Type::N

bit: 31 Negative condition code flag

uint32_t xPSR_Type::Q

bit: 27 Saturation condition flag

uint32_t xPSR_Type::T

bit: 24 Thumb bit (read 0)

uint32_t xPSR_Type::V

bit: 28 Overflow condition code flag

uint32_t xPSR_Type::w

Type used for word access.

uint32_t xPSR_Type::Z

bit: 30 Zero condition code flag